Download it now!
Bug 128593 - Writer table cell's background color is always black
Summary: Writer table cell's background color is always black
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Szymon Kłos
URL:
Whiteboard: target:6.4.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2019-11-04 18:56 UTC by Roman Kuznetsov
Modified: 2019-11-11 20:00 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2019-11-04 18:56:02 UTC
Description:
Writer table cell's background color is always black

Steps to Reproduce:
1. Create a Writer table
2. Click on Table cell background color icon on Table toolbar (it's yellow by default)
3. Cell's Background color became black instead
4. You can select any color and cell's color is always black

Actual Results:
background color is always black

Expected Results:
background color is user selected color


Reproducible: Always


User Profile Reset: No



Additional Info:
repro in

Версия: 6.4.0.0.alpha1+ (x64)
ID сборки: 2187cff2d452e20aa1fdfd5d8aa7473242cd1eb6
Потоков ЦП: 4; ОС:Windows 10.0 Build 17763; Отрисовка ИП: по умолчанию; VCL: win; 
Локаль: ru-RU (ru_RU); Язык интерфейса: ru-RU
Calc: threaded

but not in

Version: 6.3.3.2 (x64)
Build ID: a64200df03143b798afd1ec74a12ab50359878ed
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

so it's a regression
Comment 1 Xavier Van Wijmeersch 2019-11-05 08:00:50 UTC
I can reproduce it with linux, i set hardware to all

Version: 6.4.0.0.alpha1+
Build ID: 074cab391c20be872a4b5d14a342eda5c541b6fd
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 2 raal 2019-11-05 17:39:10 UTC
This seems to have begun at the below commit.
Adding Cc: to Szymon Kłos ; Could you possibly take a look at this one?
Thanks

32e2c7eaac9bb3fe6740cd78585bff57dc9aa73f is the first bad commit
commit 32e2c7eaac9bb3fe6740cd78585bff57dc9aa73f
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Mon Oct 28 12:47:27 2019 +0100

    source sha:1144712bb99cfb699e73b473ee44351c50a35613

author	Szymon Kłos <szymon.klos@collabora.com>	2019-10-28 10:19:50 +0100
committer	Szymon Kłos <szymon.klos@collabora.com>	2019-10-28 12:33:49 +0100
commit	1144712bb99cfb699e73b473ee44351c50a35613 (patch)
tree	6b34143b3a14664448c96da79cc788bb4f2afb31
parent	6385e04f7e194ce6dcc82588f38355b467d0d276 (diff)
jsdialogs: make possible to set .uno:BackgroundColor in Writer
Comment 3 Commit Notification 2019-11-06 10:58:56 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/cb1183510c605a5d63fdc9fec6735ac5e8db92ce

tdf#128593 fix crash on setting table background color

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xavier Van Wijmeersch 2019-11-06 20:19:32 UTC
its working thx

Version: 6.4.0.0.alpha1+
Build ID: 83e97fef3fa4de900eda35d02168fcae01c85eed
CPU threads: 8; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: nl-BE (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Commit Notification 2019-11-11 20:00:39 UTC
Zdeněk Crhonek committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7f69594c5c6c32e0ec1b3cf2cdf4bf7147a7e0b1

add uitest for bug tdf#128593

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.